3ds tools problem

Discussion in '3DS - Homebrew Development and Emulators' started by hacksn5s4, May 21, 2016.

  1. hacksn5s4
    OP

    hacksn5s4 Banned

    Banned
    4,332
    450
    Aug 12, 2015
    eh so Agbsave9 requires python 3 and layedfs building requires python 2.7 and i can't have them both installed at the same time and its annoying to have to keep uninstalling it and reinstalling
     
  2. Davidosky99

    Davidosky99 Eevee :3

    Banned
    2,582
    1,570
    Jun 7, 2015
    Porto
    Yes you can have both installed, just add each other to the path manually
     
  3. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,451
    4,766
    Mar 17, 2010
    Norway
    Alola
    You can easily have them both installed at the same time. Just run the script in a command prompt with C:\Python27\python.exe script.py so you don't have to deal with editing environment variables.
     
  4. hacksn5s4
    OP

    hacksn5s4 Banned

    Banned
    4,332
    450
    Aug 12, 2015
    the version thats already installed is already added to the path how do i add the other one
     
  5. Davidosky99

    Davidosky99 Eevee :3

    Banned
    2,582
    1,570
    Jun 7, 2015
    Porto
    Just add it manually to the path( the second version)
     
  6. hacksn5s4
    OP

    hacksn5s4 Banned

    Banned
    4,332
    450
    Aug 12, 2015
    thing is what pythoon version will the .py file run
     
  7. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,076
    Jul 22, 2013
    Philippines
    The Capital
    I'm pretty sure you can choose manually what version Python will open said file.
     
  8. hacksn5s4
    OP

    hacksn5s4 Banned

    Banned
    4,332
    450
    Aug 12, 2015
    so i installed python 2.7 but agbsave9 loads up in python 2.7 and not 3 how do i fix this i have both installed
     
  9. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,076
    Jul 22, 2013
    Philippines
    The Capital
    What OS do you have?
     
  10. hacksn5s4
    OP

    hacksn5s4 Banned

    Banned
    4,332
    450
    Aug 12, 2015
    windows 8
     
  11. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,076
    Jul 22, 2013
    Philippines
    The Capital
    Right click it and select the open with option.
     
  12. hacksn5s4
    OP

    hacksn5s4 Banned

    Banned
    4,332
    450
    Aug 12, 2015
    did that but it still opens it with python 2.7
     
  13. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,076
    Jul 22, 2013
    Philippines
    The Capital
    Did you select Python 3.
     
  14. hacksn5s4
    OP

    hacksn5s4 Banned

    Banned
    4,332
    450
    Aug 12, 2015
    yes